| Multivariate Pattern Analysis in Python

### Navigation

- index
- next |
- previous |
- ExpPsy Project |
- NeuroDebian Project |
- PyMVPA 0.4.x Home |
- PyMVPA Home |
- Documentation »
- Module Reference »

This content refers to the previous stable release of PyMVPA. Please visit www.pymvpa.org for the most recent version of PyMVPA and its documentation.

# atlases.fsl

## Module: `atlases.fsl`

Inheritance diagram for `mvpa.atlases.fsl`:

FSL atlases interfaces

## Classes

### `FSLAtlas`

class `mvpa.atlases.fsl.``FSLAtlas`(*args, **kwargs)

  Bases: `mvpa.atlases.base.XMLBasedAtlas`

  Base class for FSL atlases

  See also

  Please refer to the documentation of the base class for more information:

  `XMLBasedAtlas`

  Parameters:

  - filename (string) – Filename for the xml definition of the atlas
  - resolution (None or float) – Some atlases link to multiple images at different resolutions. if None – best resolution is selected using 0th dimension resolution
  - image_file (None or str) – If None, overrides filename for the used imagefile, so it could load a custom (re-registered) atlas maps
  - query_voxel (bool) – By default [x,y,z] assumes coordinates in space, but if query_voxel is True, they are assumed to be voxel coordinates
  - coordT – Optional transformation to apply first
  - levels (None or slice or list of int) – What levels by default to operate on

  `source` = 'FSL'

### `FSLLabelsAtlas`

class `mvpa.atlases.fsl.``FSLLabelsAtlas`(*args, **kwargs)

  Bases: `mvpa.atlases.base.XMLBasedAtlas`

  Not sure what this one was for

  not implemented

### `FSLProbabilisticAtlas`

class `mvpa.atlases.fsl.``FSLProbabilisticAtlas`(thr=0.0, strategy='all', sort=True, *args, **kwargs)

  Bases: `mvpa.atlases.fsl.FSLAtlas`

  Probabilistic FSL atlases

  See also

  Please refer to the documentation of the base class for more information:

  `FSLAtlas`

  Parameters:

  - thr (float) – Value to threshold at
  - strategy (basestring) – Possible values all - all entries above thr max - entry with maximal value
  - sort (bool) – Either to sort entries for ‘all’ strategy according to probability
  - filename (string) – Filename for the xml definition of the atlas
  - resolution (None or float) – Some atlases link to multiple images at different resolutions. if None – best resolution is selected using 0th dimension resolution
  - image_file (None or str) – If None, overrides filename for the used imagefile, so it could load a custom (re-registered) atlas maps
  - query_voxel (bool) – By default [x,y,z] assumes coordinates in space, but if query_voxel is True, they are assumed to be voxel coordinates
  - coordT – Optional transformation to apply first
  - levels (None or slice or list of int) – What levels by default to operate on

  `find`(*args, **kwargs)

    Just a shortcut to the only level.

    See `find` for more info

  `getMap`(target, strategy='unique')

    Return a probability map

    Parameters:

    - target (int or str or re._pattern_type) – If int, map for given index is returned. Otherwise, .find is called with unique=True to find matching area
    - strategy (str in (‘unique’, ‘max’)) – If ‘unique’, then if multiple areas match, exception would be raised. In case of ‘max’, each voxel would get maximal value of probabilities from all matching areas

  `getMaps`(target)

    Return a list of probability maps for the target

    Parameters: | target (str or re._pattern_type) – .find is called with a target and unique=False to find all matches

  `labelVoxel`(c, levels=None)

    Return labels for the voxel

    Parameters:

    - c (-) –
    - levels (-) –

### Navigation

- index
- next |
- previous |
- ExpPsy Project |
- NeuroDebian Project |
- PyMVPA 0.4.x Home |
- PyMVPA Home |
- Documentation »
- Module Reference »